Bug 27811 - anon ftp libraries not updated
Summary: anon ftp libraries not updated
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anonftp   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-15 15:46 UTC by Timothy Burt
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 16:51:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Timothy Burt 2001-02-15 15:46:31 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)


Upgrading glibc and other libraries does not upgrade the libraries for the 
anonymous ftp account.  This may impact security due to anon ftp reliance 
on these libraries.

Reproducible: Always
Steps to Reproduce:
1. ls -l `locate ld-2.1.3.so`
2. notice that /home/ftp/lib/ld-2.1.3.so is older.
3.
	

Actual Results:  -rwxr-xr-x    1 root     root        77216 Feb  4  
2000 /home/ftp/lib/ld-2.1.3.so
-rwxr-xr-x    1 root     root        76960 Jul 25  2000 /usr/i386-glibc21-
linux/lib/ld-2.1.3.so

Comment 1 Bill Nottingham 2001-02-15 17:16:58 UTC
Those libraries are part of the anonftp package.

Comment 2 Bernhard Rosenkraenzer 2001-03-06 19:29:02 UTC
anonftp-4.0 takes care of this once and for all - it doesn't own any files 
anymore, but just copies the current ones from rpm triggers.




Note You need to log in before you can comment on or make changes to this bug.